package com.kingdee.eas.custom.ats;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractAtsLeaveBillDetailSameInfo extends com.kingdee.eas.framework.DataBaseInfo implements Serializable 
{
    public AbstractAtsLeaveBillDetailSameInfo()
    {
        this("id");
    }
    protected AbstractAtsLeaveBillDetailSameInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object:请假明细实体记录's 请假单property 
     */
    public String getLeavebill()
    {
        return getString("leavebill");
    }
    public void setLeavebill(String item)
    {
        setString("leavebill", item);
    }
    /**
     * Object:请假明细实体记录's 请假单分录property 
     */
    public String getLeavebillEntry()
    {
        return getString("leavebillEntry");
    }
    public void setLeavebillEntry(String item)
    {
        setString("leavebillEntry", item);
    }
    /**
     * Object:请假明细实体记录's 请假日期property 
     */
    public java.util.Date getLeaveDate()
    {
        return getDate("leaveDate");
    }
    public void setLeaveDate(java.util.Date item)
    {
        setDate("leaveDate", item);
    }
    /**
     * Object:请假明细实体记录's 请假时长property 
     */
    public java.math.BigDecimal getLeaveLenght()
    {
        return getBigDecimal("leaveLenght");
    }
    public void setLeaveLenght(java.math.BigDecimal item)
    {
        setBigDecimal("leaveLenght", item);
    }
    /**
     * Object:请假明细实体记录's 请假单位property 
     */
    public String getLeaveUnit()
    {
        return getString("leaveUnit");
    }
    public void setLeaveUnit(String item)
    {
        setString("leaveUnit", item);
    }
    /**
     * Object:请假明细实体记录's 假期制度-假期类型property 
     */
    public String getPolicy()
    {
        return getString("policy");
    }
    public void setPolicy(String item)
    {
        setString("policy", item);
    }
    /**
     * Object:请假明细实体记录's 请假汇总记录property 
     */
    public String getHolidayResult()
    {
        return getString("holidayResult");
    }
    public void setHolidayResult(String item)
    {
        setString("holidayResult", item);
    }
    /**
     * Object:请假明细实体记录's preTimeproperty 
     */
    public String getPreTime()
    {
        return getString("preTime");
    }
    public void setPreTime(String item)
    {
        setString("preTime", item);
    }
    /**
     * Object:请假明细实体记录's nextTimeproperty 
     */
    public String getNextTime()
    {
        return getString("nextTime");
    }
    public void setNextTime(String item)
    {
        setString("nextTime", item);
    }
    /**
     * Object:请假明细实体记录's 考勤地点property 
     */
    public String getAttAdminOrgUnit()
    {
        return getString("attAdminOrgUnit");
    }
    public void setAttAdminOrgUnit(String item)
    {
        setString("attAdminOrgUnit", item);
    }
    /**
     * Object:请假明细实体记录's 员工property 
     */
    public String getProposer()
    {
        return getString("proposer");
    }
    public void setProposer(String item)
    {
        setString("proposer", item);
    }
    /**
     * Object:请假明细实体记录's 行政组织property 
     */
    public String getAdminOrgUnit()
    {
        return getString("adminOrgUnit");
    }
    public void setAdminOrgUnit(String item)
    {
        setString("adminOrgUnit", item);
    }
    /**
     * Object:请假明细实体记录's 职位property 
     */
    public String getPosition()
    {
        return getString("position");
    }
    public void setPosition(String item)
    {
        setString("position", item);
    }
    /**
     * Object:请假明细实体记录's HR组织property 
     */
    public String getHrOrgUnit()
    {
        return getString("hrOrgUnit");
    }
    public void setHrOrgUnit(String item)
    {
        setString("hrOrgUnit", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("01B9C828");
    }
}